#ifndef calc_included
#define calc_included

#include <qwidget.h>
#include <qpushbt.h>
#include <qbttngrp.h>
#include <qlabel.h>

#include <stdlib.h>

/*!
  \class TestCalc calc.h
  \brief A simple calculator

  TestCalc is an example implementation of a simple calculator. It supports
*/

class TestCalc: public QWidget
{
  Q_OBJECT
  public:
    TestCalc(QWidget *parent, const char *name);
    ~TestCalc();
  private slots:
    void doNumber(int idx);
    void doFunction(int idx);
    void doClear();
    void doReset();
    void doCalc();
  private:
    //! The current arithmatic operation
    int arithOper;
  private:
    //! The accu holds intermediate results for calculations
    double accu;
  private:
    int clearFlag;
  private:
    QLabel *resultVal;
    QButtonGroup *numGrp;
    QPushButton *but0;
    QPushButton *but1;
    QPushButton *but2;
    QPushButton *but3;
    QPushButton *but4;
    QPushButton *but5;
    QPushButton *but6;
    QPushButton *but7;
    QPushButton *but8;
    QPushButton *but9;
    QPushButton *dotBut;
    QPushButton *signBut;
    QButtonGroup *funcGrp;
    QPushButton *divBut;
    QPushButton *mulBut;
    QPushButton *subBut;
    QPushButton *addBut;
    QButtonGroup *miscGrp;
    QPushButton *clrBut;
    QPushButton *resetBut;
    QPushButton *equalBut;
};

#endif
